# std::unordered_map::count

From cppreference.com
< cpp‎ | container‎ | unordered map

size_type count( const Key& key ) const; | (1) | (since C++11)

Returns the number of elements with key that compares equal to the specified argument `key`, which is either 1 or 0 since this container does not allow duplicates.

### Parameters

key | - | key value of the elements to count

### Return value

Number of elements with key `key`, that is either 1 or 0.

### Complexity

Constant on average, worst case linear in the size of the container.

### See also

find | finds element with specific key (public member function)
equal_range | returns range of elements matching a specific key (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/container/unordered_map/count&oldid=65130"